function init()
	gun.name = "Beam"
	gun.fireDelay = 400
	gun.shotrange = 550
	gun.shotdamage = 18--15.5--12
	gun.shotknockback = 12000--9000
	gun.shotspeed = 8000

	gun.burstDelay = 0
	gun.burstNum = 20
	
	--gun.firecost = 1.2
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.cycleBeam(1)--jumpy red-style beam
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--gun.GFP("made beam!")
	if gun.firing_start == 1 then
		gun.sfx("gun_beam2.wav", gun.firex, gun.firey)--, 1, 1)
	end

	return 0
end

function shot_update()

	return 0
end